Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 402737 - dev-cpp/cppserv-0.2.14 calls g++ directly
Summary: dev-cpp/cppserv-0.2.14 calls g++ directly
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard: Pending Removal: 2012-04-18
Keywords: PMASKED
Depends on:
Blocks: tc-directly
  Show dependency tree
 
Reported: 2012-02-08 18:07 UTC by Aaron Bauman
Modified: 2012-04-23 18:08 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2012-02-08 18:07:56 UTC
dev-cpp/cppserv-0.2.14 calls g++ directly during compile phase.

Reproducible: Always

Steps to Reproduce:
1. emerge dev-cpp/cppserv-0.2.14
2.
3.
Actual Results:  
compile phase calls g++ directly

Expected Results:  
compile phase calls on x86_64-pc-linux-gnu-g++

g++ -c env-tests/cxx-gen-kirpich.cpp -o release/env-tests/cxx-gen-kirpich.o -Wextra
Testing if g++ accepts "-Wall"
COMPILER=g++ ./env-tests/compile-test.sh "cxx-gen-kirpich.cpp" "cxx-gen-kirpich.o" "-Wall" "TOP_CXXFLAGS+=-Wall" "">release/env-tests/_Wall.cache
Testing if g++ accepts "-W"
COMPILER=g++ ./env-tests/compile-test.sh "cxx-gen-kirpich.cpp" "cxx-gen-kirpich.o" "-W" "TOP_CXXFLAGS+=-W" "">release/env-tests/_W.cache
g++ -c env-tests/cxx-gen-kirpich.cpp -o release/env-tests/cxx-gen-kirpich.o -Wall
g++ -c env-tests/cxx-gen-kirpich.cpp -o release/env-tests/cxx-gen-kirpich.o -W
Looking for LEX
Comment 1 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2012-02-08 18:08:42 UTC
    Portage 2.1.10.44 (default/linux/amd64/10.0, gcc-4.5.3, glibc-2.13-r4, 3.2.5 x86_64)
    =================================================================
    System uname: Linux-3.2.5-x86_64-Intel-R-_Core-TM-_i5-2450M_CPU_@_2.50GHz-with-gentoo-2.0.3
    Timestamp of tree: Wed, 08 Feb 2012 04:45:01 +0000
    app-shells/bash:          4.1_p9
    dev-lang/python:          2.7.2-r3, 3.1.4-r3
    dev-util/cmake:           2.8.6-r4
    dev-util/pkgconfig:       0.26
    sys-apps/baselayout:      2.0.3
    sys-apps/openrc:          0.9.8.4
    sys-apps/sandbox:         2.5
    sys-devel/autoconf:       2.68
    sys-devel/automake:       1.11.1
    sys-devel/binutils:       2.21.1-r1
    sys-devel/gcc:            4.5.3-r1
    sys-devel/gcc-config:     1.4.1-r1
    sys-devel/libtool:        2.4-r1
    sys-devel/make:           3.82-r1
    sys-kernel/linux-headers: 3.1 (virtual/os-headers)
    sys-libs/glibc:           2.13-r4
    Repositories: gentoo kde
    ACCEPT_KEYWORDS="amd64"
    ACCEPT_LICENSE="*"
    CBUILD="x86_64-pc-linux-gnu"
    CFLAGS="-march=native -O2 -pipe"
    CHOST="x86_64-pc-linux-gnu"
    CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
    CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
    CXXFLAGS="-march=native -O2 -pipe"
    DISTDIR="/usr/portage/distfiles"
    FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles multilib-strict news parallel-fetch protect-owned sandbox sfperms split-log strict test unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox"
    FFLAGS=""
    GENTOO_MIRRORS="ftp://gentoo.mirrors.pair.com/"
    LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
    MAKEOPTS="-j5"
    PKGDIR="/usr/portage/packages"
    PORTAGE_CONFIGROOT="/"
    PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
    PORTAGE_TMPDIR="/var/tmp"
    PORTDIR="/usr/portage"
    PORTDIR_OVERLAY="/var/lib/layman/kde"
    SYNC="rsync://rsync.us.gentoo.org/gentoo-portage"
    USE="/ X acl acpi alsa amd64 apng berkdb bzip2 cdr cli consolekit cracklib crypt cups cxx dbus declarative dri dvd dvdr ffmpeg fortran gd gdbm gpm gtk gudev iconv ipv6 jpeg jpeg2k kde mmx mng modules mudflap multilib mysql ncurses nls nptl nptlonly ogg opengl openmp pam pcre pdf php png policykit ppds pppd python qt3support qt4 readline semantic-desktop session sql sse sse2 ssl svg sysfs taglib tcpd tiff truetype udev unicode v4l vorbis webkit xml xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
    Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 2 Pacho Ramos gentoo-dev 2012-03-20 10:06:07 UTC
It was masked
Comment 3 Pacho Ramos gentoo-dev 2012-04-23 18:08:35 UTC
dropped